<template>
	<view class="page_wode">
		<view class="top" > 
		   <view style="display: flex;padding: 30rpx;">
			   <view class="heade_img">
				   <uni-icons type="person-filled" style="color: #39aba7;margin-top: 4rpx;margin-left: 4rpx;"
				   	size="50"></uni-icons>
			   </view>
			   <view style="margin-left: 10rpx;">
				   <view class="name">{{Info.cn_name}}</view>
				   <view class="zhuce">陪伴时长:{{Info.days}}天</view>
			   </view>
			   
		   </view>
			 
			
			
		</view>
		<view style="padding-left: 40rpx;padding-right: 40rpx;">
			<view class="button" @click="Logout()">退出登录</view>
		</view>
	</view>
</template>

<script setup>
	import {
		ref
	} from "vue"
	import {
		 GetUserInfo
	} from "@/api"
	import {
		 onShow
	} from "@dcloudio/uni-app"
	const Logout=()=>{
		localStorage.clear();
		sessionStorage.clear();
		uni.reLaunch({
			url:'/pages/login'
		})
	}
	let Info=ref({});
	const GetMemberInfoFuc=()=>{
		GetUserInfo().then(res => {
			if (res.status) {
				 Info.value=res.data.info
			}
		})
	}
	onShow(() => {
		sessionStorage.setItem('userlist_type','')
		GetMemberInfoFuc()
	 
	})
</script>

<style scoped>
	.page_wode {
		 
		background-color: #fff;
			
		height: calc(100vh - 100rpx);
	}
	.top{
		 
		background-color: #4ed1e5;
		 
	}
	.heade_img{
		border-radius: 50%;
		height: 100rpx;
		width: 100rpx;
		border: 1px solid #c0e4e5;
		text-align: center;padding-right: 4rpx;
	}
	.name{
		color: #fff;
		font-family: 700;
		font-size: 40rpx;
	}
	.zhuce{
		color: #fff;
		font-size: 26rpx;
	}
	.button{
			width: 100%;
			background-color: #ff5f37;
			height: 100rpx;
			line-height: 100rpx;
			text-align: center;
			color: #fff;
			font-weight: 700;
			border-radius: 50rpx;
		    margin-top:40rpx;
		 
		}
</style>